SynthOut class Reference (libkmid Library)

| # libkmid Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# SynthOut Class Reference

Synth (AWE) device output class . Sends MIDI events to AWE synthesizers. More...

`#include <synthout.h>`

Inheritance diagram for SynthOut:

[legend]
Collaboration diagram for SynthOut:

[legend]
List of all members.

## Public Member Functions
| SynthOut (int d=0)
| Constructor.
| ~SynthOut ()
| Destructor.
void | openDev (int sqfd)
| See MidiOut::openDev().
void | closeDev (void)
| See MidiOut::closeDev().
void | initDev (void)
| See MidiOut::initDev().
void | noteOn (uchar chn, uchar note, uchar vel)
| See MidiOut::noteOn().
void | noteOff (uchar chn, uchar note, uchar vel)
| See MidiOut::noteOff().
void | keyPressure (uchar chn, uchar note, uchar vel)
| See MidiOut::keyPressure().
void | chnPatchChange (uchar chn, uchar patch)
| See MidiOut::chnPatchChange().
void | chnPressure (uchar chn, uchar vel)
| See MidiOut::chnPressure().
void | chnPitchBender (uchar chn, uchar lsb, uchar msb)
| See MidiOut::chnPitchBender().
void | chnController (uchar chn, uchar ctl, uchar v)
| See MidiOut::chnController().
void | sysex (uchar *data, ulong size)
| It's an empty function, as AWE devices don't support System Exclusive messages.

## Detailed Description

Synth (AWE) device output class . Sends MIDI events to AWE synthesizers.

SynthOut is used to send MIDI events to a general synthesizer, such as AWE synth.

SynthOut inherits MidiOut and supports the same simple API.

The preferred way to use this class is by selecting a synth (or AWE) device with MidiManager::setDefaultDevice(), and use a MidiManager object.

Version:
  0.9.5 17/01/2000

Author:
  Antonio Larrosa Jimenez <larrosa@kde.org>

Definition at line 44 of file synthout.h.

## Constructor & Destructor Documentation

SynthOut::SynthOut | ( | int | d = 0 | ) |

| Constructor. See MidiOut::MidiOut() for more information. Definition at line 46 of file synthout.cc.

SynthOut::~SynthOut | ( |  | ) |

| Destructor. Definition at line 54 of file synthout.cc. References closeDev().

## Member Function Documentation

void SynthOut::openDev | ( | int | sqfd | ) | `[virtual]`

| See MidiOut::openDev(). Reimplemented from MidiOut. Definition at line 59 of file synthout.cc.

void SynthOut::closeDev | ( | void |  | ) | `[virtual]`

| See MidiOut::closeDev(). Reimplemented from MidiOut. Definition at line 106 of file synthout.cc. References MidiOut::ok(). Referenced by ~SynthOut().

void SynthOut::initDev | ( | void |  | ) | `[virtual]`

| See MidiOut::initDev(). Reimplemented from MidiOut. Definition at line 113 of file synthout.cc. References chnController(), chnPatchChange(), chnPitchBender(), chnPressure(), MidiOut::ok(), and sysex().

void SynthOut::noteOn | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) | `[virtual]`

| See MidiOut::noteOn(). Reimplemented from MidiOut. Definition at line 134 of file synthout.cc. References MidiMapper::channel(), MidiMapper::key(), and noteOff().

void SynthOut::noteOff | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) | `[virtual]`

| See MidiOut::noteOff(). Reimplemented from MidiOut. Definition at line 151 of file synthout.cc. References MidiMapper::channel(), and MidiMapper::key(). Referenced by noteOn().

void SynthOut::keyPressure | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) | `[virtual]`

| See MidiOut::keyPressure(). Reimplemented from MidiOut. Definition at line 160 of file synthout.cc. References MidiMapper::channel(), and MidiMapper::key().

void SynthOut::chnPatchChange | ( | uchar | chn,
|  | uchar | patch
| ) | `[virtual]`

| See MidiOut::chnPatchChange(). Reimplemented from MidiOut. Definition at line 165 of file synthout.cc. References MidiMapper::channel(), and MidiMapper::patch(). Referenced by initDev().

void SynthOut::chnPressure | ( | uchar | chn,
|  | uchar | vel
| ) | `[virtual]`

| See MidiOut::chnPressure(). Reimplemented from MidiOut. Definition at line 171 of file synthout.cc. References MidiMapper::channel(). Referenced by initDev().

void SynthOut::chnPitchBender | ( | uchar | chn,
|  | uchar | lsb,
|  | uchar | msb
| ) | `[virtual]`

| See MidiOut::chnPitchBender(). Reimplemented from MidiOut. Definition at line 177 of file synthout.cc. References MidiMapper::channel(). Referenced by initDev().

void SynthOut::chnController | ( | uchar | chn,
|  | uchar | ctl,
|  | uchar | v
| ) | `[virtual]`

| See MidiOut::chnController(). Reimplemented from MidiOut. Definition at line 183 of file synthout.cc. References MidiMapper::channel(). Referenced by initDev().

void SynthOut::sysex | ( | uchar * | data,
|  | ulong | size
| ) | `[virtual]`

| It's an empty function, as AWE devices don't support System Exclusive messages. Reimplemented from MidiOut. Definition at line 195 of file synthout.cc. Referenced by initDev().

The documentation for this class was generated from the following files:

- synthout.h
- synthout.cc

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:28:42 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001